<?php
 $servidor   = 'localhost';
 $base_datos = 'bodegart';
 $usuario    = 'root';
 $clave      = ''; 

/* $servidor   = 'bodegartve.com';
$base_datos = 'bodegar1_prueba';
$usuario    = 'bodegar1_bodegartu';
$clave      = 'bodegart123456789'; */

/* Dos métodos de poner el juego de caracteres en utf-8 */
$conexion = new PDO(
  "mysql:host=${servidor};dbname=${base_datos};charset=utf8",
  $usuario,
  $clave,
  [
    PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES 'UTF8'"
  ]
);
/* No es necesario y no es recomendable hacerlo así */
/*$conexion->exec("SET CHARACTER SET utf8");*/
/* Preparamos la consulta SQL */
$res = $conexion->prepare('
SELECT t1.idtarjeta,t1.nombre,t1.num_tarjeta,t1.codigoBarraTarjeta,t1.condicion,
IFNULL(t2.idpedido,"") as idpedido,IFNULL(t2.num_pedido,"") as num_pedido,
IFNULL(t2.estado,"Libre") as estado 
FROM tarjeta t1 LEFT JOIN barra t2 ON t2.idtarjeta = t1.idtarjeta 
WHERE (t2.estado="Pendiente" or t2.estado IS Null) AND t1.codigoBarraTarjeta=:codigo 
ORDER by t1.idtarjeta 
');

/* Asignamos el parámetro al valor enviado por POST */
$res->bindValue(
  ':codigo',
  $_POST['codigobarra'],
  PDO::PARAM_STR
);
/* Ejecutamos la consulta */
$res->execute();
/* Devolvemos el registro obtenido como respuesta en JSON */
header("Content-type: application/json; charset=utf-8");
echo json_encode($res->fetch(PDO::FETCH_ASSOC));